org.apache.xmlbeans

## Interface XmlLong

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInteger, XmlObject, XmlTokenSource

All Known Subinterfaces:
  XmlByte, XmlInt, XmlShort

All Known Implementing Classes:
  XmlByteImpl, XmlIntImpl, XmlIntRestriction, XmlLongImpl, XmlLongRestriction, XmlShortImpl

    public interface XmlLong
    extends XmlInteger

Corresponds to the XML Schema xs:long type. One of the derived types based on xs:decimal.

Naturally, convertible to a Java long.

### Field Summary

Fields
`static XmlObjectFactory<XmlLong>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getLongValue()` Returns this value as a long
`void` `setLongValue(long v)` Sets this value as a long

### Methods inherited from interface org.apache.xmlbeans.XmlInteger

`getBigIntegerValue, setBigIntegerValue`

### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

`getBigDecimalValue, setBigDecimalValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlLong> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.

### Method Detail

#### getLongValue

    long getLongValue()

Returns this value as a long

#### setLongValue

    void setLongValue(long v)

Sets this value as a long